Chapter 7. globalmessages
Messages API.
7.1. createGlobalMessage Copy linkLink copied to clipboard!
Create a message.
7.1.1. POST /api/v1/messages Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (super:user)
7.1.2. Request body schema (application/json) Copy linkLink copied to clipboard!
Create a new message
| Name | Description | Schema |
|---|---|---|
| message required | A single message | object |
7.1.3. Responses Copy linkLink copied to clipboard!
7.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST "https://<quay-server.example.com>/api/v1/messages" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"message": {
"content": "Hi",
"media_type": "text/plain",
"severity": "info"
}
}'
7.2. getGlobalMessages Copy linkLink copied to clipboard!
Return a super users messages.
7.2.1. GET /api/v1/messages Copy linkLink copied to clipboard!
Authorizations:
7.2.2. Responses Copy linkLink copied to clipboard!
7.2.3. Example command Copy linkLink copied to clipboard!
$ curl -X GET "https://<quay-server.example.com>/api/v1/messages" \
-H "Authorization: Bearer <access_token>"
7.3. deleteGlobalMessage Copy linkLink copied to clipboard!
Delete a message.
7.3.1. DELETE /api/v1/message/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (super:user)
7.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | uuid required | string |
7.3.3. Responses Copy linkLink copied to clipboard!
7.3.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE "https://<quay-server.example.com>/api/v1/message/<uuid>" \
-H "Authorization: Bearer <access_token>"